# H323GenericCapabilityInfo Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323GenericCapabilityInfo:

[legend]

## Public Member Functions

| H323GenericCapabilityInfo (const PString &id, unsigned maxBitRate=0)
virtual | ~H323GenericCapabilityInfo ()

## Protected Member Functions

virtual PBoolean | OnSendingGenericPDU (H245_GenericCapability &pdu, const OpalMediaFormat &mediaFormat, H323Capability::CommandType type) const
virtual PBoolean | OnReceivedGenericPDU (OpalMediaFormat &mediaFormat, const H245_GenericCapability &pdu, H323Capability::CommandType type)
PBoolean | IsMatch (const OpalMediaFormat &mediaFormat, const H245_GenericCapability &param) const
PObject::Comparison | CompareInfo (const H323GenericCapabilityInfo &obj) const

## Protected Attributes

PString | m_identifier
unsigned | m_maxBitRate

## Detailed Description

This class describes the interface to a generic codec used to transfer data via the logical channels opened and managed by the H323 control channel.

It is expected that an application makes a descendent off H323GenericAudioCapability or H323GenericVideoCapability which multiply inherit from this class.

## Constructor & Destructor Documentation

H323GenericCapabilityInfo::H323GenericCapabilityInfo | ( | const PString & | id,
|  | unsigned | maxBitRate = `0` |
| ) |  |  |

Parameters:

  id | generic codec identifier
  maxBitRate | maxBitRate parameter for the GenericCapability

virtual H323GenericCapabilityInfo::~H323GenericCapabilityInfo | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

PObject::Comparison H323GenericCapabilityInfo::CompareInfo | ( | const H323GenericCapabilityInfo & | obj | ) | const`[protected]`

PBoolean H323GenericCapabilityInfo::IsMatch | ( | const OpalMediaFormat & | mediaFormat,
|  | const H245_GenericCapability & | param |
| ) |  |  | const`[protected]`

Parameters:

  param | Non standard field in PDU received

virtual PBoolean H323GenericCapabilityInfo::OnReceivedGenericPDU | ( | OpalMediaFormat & | mediaFormat,
|  | const H245_GenericCapability & | pdu,
|  | H323Capability::CommandType | type |
| ) |  |  | `[protected, virtual]`

virtual PBoolean H323GenericCapabilityInfo::OnSendingGenericPDU | ( | H245_GenericCapability & | pdu,
|  | const OpalMediaFormat & | mediaFormat,
|  | H323Capability::CommandType | type |
| ) |  |  | const`[protected, virtual]`

## Field Documentation

PString H323GenericCapabilityInfo::m_identifier `[protected]`

unsigned H323GenericCapabilityInfo::m_maxBitRate `[protected]`

The documentation for this class was generated from the following file:

- h323caps.h